Bug 188237 - TB3c1b0dfc yumexmain.py:595:doPref:AttributeError: 'NoneType'
TB3c1b0dfc yumexmain.py:595:doPref:AttributeError: 'NoneType'
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
: 189703 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-04-07 07:41 EDT by Robert Elsner
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-18 09:27:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Elsner 2006-04-07 07:41:35 EDT
Description of problem:
Yumex crashes.

Version-Release number of selected component (if applicable):

How reproducible:
100% on my machine.

Steps to Reproduce:
1. Open Yumex (no refresh on start) and do nothing (especially not refresh the
repo list).
2. Open the preferences dialog and then hit "cancel" without changig anything.
3. Yumex crashes
Actual results:
I got this Traceback

Component: yumex
Version: 0.99.16
Summary: TB3c1b0dfc yumexmain.py:595:doPref:AttributeError: 'NoneType' object
has no attribute 'yumexconf'

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 209, in on_EditPreferences
  File "/usr/share/yumex/yumexmain.py", line 595, in doPref
    self.yumexbase.yumexconf = self.settings
AttributeError: 'NoneType' object has no attribute 'yumexconf'

Local variables in innermost frame:
self: <__main__.YumexMainApplication instance at 0xb79e926c>

Expected results:
At least I would expect it not to crash ;).

Additional info:
Mail me if you got additional questions.
Comment 1 Tim Lauridsen 2006-04-07 07:49:34 EDT
I will take a look, at why this error occours and fix it.
Comment 2 Tim Lauridsen 2006-04-18 09:27:47 EDT
Fixed in next release 0.99.17, to be released soon.
Comment 3 Tim Lauridsen 2006-04-24 02:06:52 EDT
*** Bug 189703 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.